Get calendar by ID

http
GET https://services.leadconnectorhq.com/calendars/{calendarId}

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
calendarIdstringYesocQHyuzHvysMo5N5VsXcCalendar Id

Responses

200 - Successful response
  • calendar (object, required)

    • isActive (boolean): Should the created calendar be active or draft

    • notifications (object[]): 🚨 Deprecated! Please use 'Calendar Notifications APIs' instead.

      • type (string): Calendar Notification Possible values: 'email' Example: email

      • shouldSendToContact (boolean, required)

      • shouldSendToGuest (boolean, required)

      • shouldSendToUser (boolean, required)

      • shouldSendToSelectedUsers (boolean, required)

      • selectedUsers (string, required): Comma separated emails Example: user1@testemail.com,user2@testemail.com

    • locationId (string, required): Example: ocQHyuzHvysMo5N5VsXc

    • groupId (string): Group Id Example: BqTwX8QFwXzpegMve9EQ

    • teamMembers (object[]): Team members are for calendars of type: Round Robin, Collective, Class, Service. Personal calendar must have exactly one team member.

      • userId (string, required): Example: ocQHyuzHvysMo5N5VsXc

      • priority (number): Possible values: 0, 0.5, 1

      • meetingLocationType (string): 🚨 Deprecated! Use locationConfigurations.kind instead. Possible values: 'custom', 'zoom', 'gmeet', 'phone', 'address', 'teams', 'booker' Example: custom

      • meetingLocation (string): 🚨 Deprecated! Use locationConfigurations.account instead.

      • isPrimary (boolean): Marks a user as primary. This property is required in case of collective booking calendars. Only one user can be primary.

      • locationConfigurations (object[]): Meeting account configurations

        • kind (string, required): Type of meeting account. zoom_conference/google_conference/ms_teams_conference is not supported in event calendar type Possible values: 'custom', 'zoom_conference', 'google_conference', 'inbound_call', 'outbound_call', 'physical', 'booker', 'ms_teams_conference' Example: custom

        • location (string): Address for meeting account. Not applicable on "zoom_conference", "google_conference" and "ms_teams_conference" kind

        • meetingId (string): Unique ID used to select a specific meeting account Example: my_conference_id

    • eventType (string): Possible values: 'RoundRobin_OptimizeForAvailability', 'RoundRobin_OptimizeForEqualDistribution'

    • name (string, required): Example: test calendar

    • description (string): Example: this is used for testing

    • slug (string): Example: test1

    • widgetSlug (string): Example: test1

    • calendarType (string): Possible values: 'round_robin', 'event', 'class_booking', 'collective', 'service_booking', 'personal'

    • widgetType (string): Calendar widget type. Choose "default" for "neo" and "classic" for "classic" layout. Possible values: 'default', 'classic' Example: classic

    • eventTitle (string)

    • eventColor (string)

    • meetingLocation (string): 🚨 Deprecated! Use locationConfigurations.account or teamMembers[].locationConfigurations.account instead.

    • locationConfigurations (object[]): Meeting account configuration for event calendar

      • kind (string, required): Type of meeting account. zoom_conference/google_conference/ms_teams_conference is not supported in event calendar type Possible values: 'custom', 'zoom_conference', 'google_conference', 'inbound_call', 'outbound_call', 'physical', 'booker', 'ms_teams_conference' Example: custom

      • location (string): Address for meeting account. Not applicable on "zoom_conference", "google_conference" and "ms_teams_conference" kind

      • meetingId (string): Unique ID used to select a specific meeting account Example: my_conference_id

    • slotDuration (number): This controls the duration of the meeting

    • slotDurationUnit (string): Unit for slot duration. Possible values: 'mins', 'hours'

    • slotInterval (number): Slot interval reflects the amount of time the between booking slots that will be shown in the calendar.

    • slotIntervalUnit (string): Unit for slot interval. Possible values: 'mins', 'hours'

    • slotBuffer (number): Slot-Buffer is additional time that can be added after an appointment, allowing for extra time to wrap up

    • slotBufferUnit (string): Unit for slot buffer. Possible values: 'mins', 'hours'

    • preBuffer (number): Pre-Buffer is additional time that can be added before an appointment, allowing for extra time to get ready

    • preBufferUnit (string): Unit for pre-buffer. Possible values: 'mins', 'hours'

    • appoinmentPerSlot (number): Maximum bookings per slot (per user). Maximum seats per slot in case of Class Booking Calendar.

    • appoinmentPerDay (number): Number of appointments that can be booked for a given day

    • allowBookingAfter (number): Minimum scheduling notice for events

    • allowBookingAfterUnit (string): Unit for minimum scheduling notice Possible values: 'hours', 'days', 'weeks', 'months' Example: days

    • allowBookingFor (number): Minimum number of days/weeks/months for which to allow booking events

    • allowBookingForUnit (string): Unit for controlling the duration for which booking would be allowed for Possible values: 'days', 'weeks', 'months' Example: days

    • openHours (object[]): This is only to set the standard availability. For custom availability, use the availabilities property

      • daysOfTheWeek (number[], required)

      • hours (object[], required)

        • openHour (number, required)

        • openMinute (number, required)

        • closeHour (number, required)

        • closeMinute (number, required)

    • enableRecurring (boolean): Enable recurring appointments for the calendars. Please note that only one member should be added in the calendar to enable this

    • recurring (object)

      • freq (string): Possible values: 'DAILY', 'WEEKLY', 'MONTHLY'

      • count (number): Number of recurrences

      • bookingOption (string): This setting contols what to do incase a recurring slot is unavailable Possible values: 'skip', 'continue', 'book_next'

      • bookingOverlapDefaultStatus (string): This setting contols what to do incase a recurring slot is unavailable Possible values: 'confirmed', 'new'

    • formId (string)

    • stickyContact (boolean)

    • isLivePaymentMode (boolean)

    • autoConfirm (boolean)

    • shouldSendAlertEmailsToAssignedMember (boolean)

    • alertEmail (string)

    • googleInvitationEmails (boolean)

    • allowReschedule (boolean)

    • allowCancellation (boolean)

    • shouldAssignContactToTeamMember (boolean)

    • shouldSkipAssigningContactForExisting (boolean)

    • notes (string)

    • pixelId (string)

    • formSubmitType (string): Possible values: 'RedirectURL', 'ThankYouMessage'

    • formSubmitRedirectURL (string)

    • formSubmitThanksMessage (string)

    • availabilityType (number): Determines which availability type to consider: - 1: Only custom availabilities will be used. - 0: Only open hours will be used. - null: Both custom availabilities and open hours will be considered. Possible values: 0, 1

    • availabilities (object[]): This is only to set the custom availability. For standard availability, use the openHours property

      • date (string, required): Formulate the date string in the format of <YYYY-MM-DD in local timezone>T00:00:00.000Z. Example: 2023-09-24T00:00:00.000Z

      • hours (object[], required)

        • openHour (number, required)

        • openMinute (number, required)

        • closeHour (number, required)

        • closeMinute (number, required)

      • deleted (boolean)

    • guestType (string): Possible values: 'count_only', 'collect_detail'

    • consentLabel (string)

    • calendarCoverImage (string): Example: https://path-to-image.com

    • lookBusyConfig (object): Look Busy Configuration

    • id (string, required): Example: 0TkCdp9PfvLeWKYRRvIz

json
{
  "calendar": {
    "isActive": true,
    "notifications": [
      {
        "type": "email",
        "shouldSendToContact": true,
        "shouldSendToGuest": true,
        "shouldSendToUser": true,
        "shouldSendToSelectedUsers": true,
        "selectedUsers": "user1@testemail.com,user2@testemail.com"
      }
    ],
    "locationId": "ocQHyuzHvysMo5N5VsXc",
    "groupId": "BqTwX8QFwXzpegMve9EQ",
    "teamMembers": [
      {
        "userId": "ocQHyuzHvysMo5N5VsXc",
        "priority": 0.5,
        "meetingLocationType": "custom",
        "meetingLocation": "string",
        "isPrimary": true,
        "locationConfigurations": []
      }
    ],
    "eventType": "RoundRobin_OptimizeForAvailability",
    "name": "test calendar",
    "description": "this is used for testing",
    "slug": "test1",
    "widgetSlug": "test1",
    "calendarType": "round_robin",
    "widgetType": "classic",
    "eventTitle": "{{contact.name}}",
    "eventColor": "#039be5",
    "meetingLocation": "string",
    "locationConfigurations": [
      {
        "kind": "custom",
        "location": "string",
  // truncado: 60 lineas mas
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}

Example

curl -X GET 'https://services.leadconnectorhq.com/calendars/YOUR_calendarId' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?